id: american-express-phish

info:
  name: american-express phishing Detection
  author: rxerium
  severity: info
  description: |
    An american express phishing website was detected
  reference:
    - https://www.americanexpress.com
  metadata:
    max-request: 1
  tags: phishing,american-express,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Credit Cards, Rewards, Travel and Business Services | American Express'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"americanexpress.com")'
# digest: 490a0046304402203296d3c94280264ed128c0ad4c6cbdd4c1e0cb1d2c276fab8e7d7a6ee7ed4cfb022063adc8fdf2261c9a0e48629148f650348e759a259067d70c123da9367d87bca8:922c64590222798bb761d5b6d8e72950